VMTKMESHDATAREADER(1)

NAME
vmtkmeshdatareader - vmtk script vmtkmeshdatareader

DESCRIPTION
Automatic piping vmtkmeshdatareader Parsing options vmtkmeshdatareader

vmtkmeshdatareader : read data associated with a mesh

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-directory DataFileDirectory (str,1); default=.: directory where

    the data files reside

-prefix DataFilePrefix (str,1): data file name prefix (e.g. foo_)

-datafile DataFileName (str,1): data file name (e.g. foo.dat)

    excluding directory - overrides prefix

-filetype DataFileType (str,1); default=tetr.vel: data file name

    type (tetr.out, tetr.vel, tetr.wss, tetr.pres, tetr.ini, pointdata)

-arrayprefix ArrayNamePrefix (str,1): prefix to prepend to array

    names in output

-tetrinfile TetrInFileName (str,1): name of the tetr.in file

-compressed Compressed (bool,1); default=1: toggle reading gzip

    compressed file

-unnormalize UnNormalize (bool,1); default=1: unnormalize

    quantities - tetr.* only

-minvarid MinVariableId (int,1) >= 0; default=-1: read variables

    starting from the nth column - pointdata only

-maxvarid MaxVariableId (int,1) >= 0; default=-1: read variables up

    to the nth column - pointdata only

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh